Page MenuHomePhabricator

Create Special:AccountVanishRequest page
Closed, ResolvedPublic

Description

As an user I would like to have the ability to access a page aimed at vanishing my account.

The page would be similar to the existing "https://meta.wikimedia.org/wiki/Special:Contact/accountvanishapps," but it would actually work with the global renamer queue behind the scenes.

AC:

  • Create a new special Page "special:AccountVanishRequest"
  • Replicate the UI showed in "https://meta.wikimedia.org/wiki/Special:Contact/accountvanishapps" (the page is created by an extension and we cannot just copy and paste the code, but fetch information and copy from it).
  • At this stage the form does not have to submit anywhere, that will be completed by other tickets

Info on the existing contact page:
Extension: https://www.mediawiki.org/wiki/Extension:ContactPage
To create the page, you use a config: https://github.com/wikimedia/operations-mediawiki-config/blob/master/wmf-config/MetaContactPages.php

Related Objects

Event Timeline

Reedy renamed this task from Create special:AccountVanishRequest page to Create Special:AccountVanishRequest page.Jun 12 2024, 5:01 PM

A few points to consider in this new page:

Mimurawil changed the task status from Open to In Progress.Jun 13 2024, 12:23 AM

Another question to consider:

Change #1043328 had a related patch set uploaded (by Mimurawil; author: Mimurawil):

[mediawiki/extensions/CentralAuth@automate-account-vanishing] T367329: Create Special:AccountVanishRequest page

https://gerrit.wikimedia.org/r/1043328

Change #1046747 had a related patch set uploaded (by Mimurawil; author: Mimurawil):

[mediawiki/extensions/CentralAuth@automate-account-vanishing-phase-2] Create Special:GlobalVanishRequest page

https://gerrit.wikimedia.org/r/1046747

Change #1043328 abandoned by Mimurawil:

[mediawiki/extensions/CentralAuth@automate-account-vanishing] Create Special:AccountVanishRequest page

Reason:

Abandoning this patch in favour of https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CentralAuth/+/1046747 (changing branch)

https://gerrit.wikimedia.org/r/1043328

Change #1046747 merged by jenkins-bot:

[mediawiki/extensions/CentralAuth@automate-account-vanishing-phase-2] Create Special:GlobalVanishRequest page

https://gerrit.wikimedia.org/r/1046747

Change #1052681 had a related patch set uploaded (by Simone Cuomo; author: Simone Cuomo):

[mediawiki/extensions/CentralAuth@master] Allow vanish requests to be submitted via Special:GlobalVanishRequests

https://gerrit.wikimedia.org/r/1052681

Test wiki created on Patch demo by SimoneThisDot using patch(es) linked to this task:
https://patchdemo.wmflabs.org/wikis/f5a7b80242/w

Change #1053294 had a related patch set uploaded (by Simone Cuomo; author: Simone Cuomo):

[mediawiki/extensions/CentralAuth@master] Introduce Vanish Request Flow

https://gerrit.wikimedia.org/r/1053294

Test wiki created on Patch demo by SimoneThisDot using patch(es) linked to this task:
https://patchdemo.wmflabs.org/wikis/0f344e95cc/w

Change #1052681 abandoned by Seddon:

[mediawiki/extensions/CentralAuth@master] Allow vanish requests to be submitted via Special:GlobalVanishRequests

Reason:

Replaced by a flattened patch https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CentralAuth/+/1053294

https://gerrit.wikimedia.org/r/1052681

Test wiki created on Patch demo by SimoneThisDot using patch(es) linked to this task:
https://patchdemo.wmflabs.org/wikis/bb21f4e4bf/w

Change #1053294 merged by jenkins-bot:

[mediawiki/extensions/CentralAuth@master] Introduce Vanish Request Flow

https://gerrit.wikimedia.org/r/1053294

Change #1054571 had a related patch set uploaded (by Urbanecm; author: Simone Cuomo):

[mediawiki/extensions/CentralAuth@wmf/1.43.0-wmf.13] Introduce Vanish Request Flow

https://gerrit.wikimedia.org/r/1054571

Change #1054571 abandoned by Urbanecm:

[mediawiki/extensions/CentralAuth@wmf/1.43.0-wmf.13] Introduce Vanish Request Flow

https://gerrit.wikimedia.org/r/1054571

Change #1054572 had a related patch set uploaded (by Urbanecm; author: Simone Cuomo):

[mediawiki/extensions/CentralAuth@wmf/1.43.0-wmf.13] Introduce Vanish Request Flow

https://gerrit.wikimedia.org/r/1054572

Change #1054572 merged by jenkins-bot:

[mediawiki/extensions/CentralAuth@wmf/1.43.0-wmf.13] Introduce Vanish Request Flow

https://gerrit.wikimedia.org/r/1054572

Mentioned in SAL (#wikimedia-operations) [2024-07-16T14:25:47Z] <urbanecm@deploy1002> Started scap sync-world: Backport for [[gerrit:1054572|Introduce Vanish Request Flow (T367329 T367726 T367728 T367729 T367744 T368177 T368285 T368368 T368372 T368611 T369489)]], [[gerrit:1054573|Pass wiki id to actor store for cross-db hasPublicLogs query (T370059)]], [[gerrit:1054574|Properly set automatic vanish performer on GlobalRenameUser (T368177)]], [[gerrit:1053373|Enable account vanishing

Mentioned in SAL (#wikimedia-operations) [2024-07-16T14:53:37Z] <urbanecm@deploy1002> dbrant, urbanecm: Backport for [[gerrit:1054572|Introduce Vanish Request Flow (T367329 T367726 T367728 T367729 T367744 T368177 T368285 T368368 T368372 T368611 T369489)]], [[gerrit:1054573|Pass wiki id to actor store for cross-db hasPublicLogs query (T370059)]], [[gerrit:1054574|Properly set automatic vanish performer on GlobalRenameUser (T368177)]], [[gerrit:1053373|Enable account vanishing in Cen

Mentioned in SAL (#wikimedia-operations) [2024-07-16T15:01:39Z] <urbanecm@deploy1002> Finished scap: Backport for [[gerrit:1054572|Introduce Vanish Request Flow (T367329 T367726 T367728 T367729 T367744 T368177 T368285 T368368 T368372 T368611 T369489)]], [[gerrit:1054573|Pass wiki id to actor store for cross-db hasPublicLogs query (T370059)]], [[gerrit:1054574|Properly set automatic vanish performer on GlobalRenameUser (T368177)]], [[gerrit:1053373|Enable account vanishing in Centra

Xaosflux subscribed.

With this live, it should prob go in tech news.